
/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: UIManagerBean
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2002-02-08, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.UI.UIManager;

/**
 * <p>Title: RepresentationSeekerEventListener</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2001</p>
 * <p>Company: </p>
 * @author Marcus Wolschon Suran@gmx.net
 * @version 1.0
 */
public interface RepresentationSeekerEventListener
{

 /**
  * Gives the representationms and factories found for a new service.
  * (one of the 2 or both may be null)
  * @param representations
  * @param factories
  * @param icon
  */
 public void RepresentationsFound(Object representations[], java.awt.Image icon, String localizedName, net.jini.core.lookup.ServiceID serviceid);
 public void RepresentationLost(Object representation, String localizedName, net.jini.core.lookup.ServiceID serviceid);

 /**
  * only thrown if a AdministrativePanel was requested
  * @param adminUI
  */
 public void AdministrativePanelLost(java.awt.Component adminUI);
}